/*---------------------------------------------------------------------------*/
//       Author : hiyohiyo
//         Mail : hiyohiyo@crystalmark.info
//          Web : http://crystalmark.info/
//      License : The modified BSD license
//
//                                Copyright 2002- hiyohiyo All rights reserved.
/*---------------------------------------------------------------------------*/
#include "stdafx.h"
#include "crystalcpuid.h"
#include "CrystalCPUIDDlg.h"
#include "AboutDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

static CCrystalCPUIDDlg* P;

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg 

CAboutDlg::CAboutDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CAboutDlg::IDD, pParent)
{
	P = (CCrystalCPUIDDlg*)pParent;
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	DDX_Control(pDX, IDC_MAIN, m_Main);
	DDX_Control(pDX, IDC_SUB, m_Sub);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////

void CAboutDlg::OnOK() 
{
	CDialog::OnOK();
}

void CAboutDlg::OnCancel() 
{	
	CDialog::OnCancel();
}

BOOL CAboutDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();

	m_Main.SetText("\
Author                      hiyohiyo\
Version                     2.3.0.30\
CrystalCPUID.exe          2003/11/20\
CpuInfo.dll               2003/11/20\
            The modified BSD license\
    Copyright (C) 2002-2003 hiyohiyo\
");
	m_Main.SetNumberOfLines(6);
	m_Main.SetXCharsPerLine(36);
	m_Main.SetSize(CMatrixStatic::TINY);
	m_Main.SetDisplayColors(RGB(0, 0, 0), RGB(0, 255, 50), RGB(0, 103, 30));
	m_Main.AdjustClientXToSize(36);
	m_Main.AdjustClientYToSize(6);
	m_Main.SetAutoPadding(true);			//demonstrates auto padding with defalt character
//	m_Main.DoScroll(500, CMatrixStatic::RIGHT);

	m_Sub.SetText("\
[ Special Thanks ]                  \
 Alex Simonov                       \
 Cappuccino                         \
 H.Oda!                             \
 kashiwano masahiro                 \
                                    \
[ Reference ]                       \
 sandpile.org                       \
 codeproject.com                    \
 Intel                              \
 AMD                                \
 VIA                                \
                                    \
");
	m_Sub.SetNumberOfLines(12);
	m_Sub.SetXCharsPerLine(36);
	m_Sub.SetSize(CMatrixStatic::TINY);
	m_Sub.SetDisplayColors(RGB(0, 0, 0), RGB(0, 255, 50), RGB(0, 103, 30));
	m_Sub.AdjustClientXToSize(36);
	m_Sub.AdjustClientYToSize(12);
	m_Sub.SetAutoPadding(true);			//demonstrates auto padding with defalt character
	m_Sub.DoScroll(1000, CMatrixStatic::UP);

	// Adjust Window Size
	RECT rect,rect1,rect2;
	m_Main.GetClientRect(&rect);
	m_Sub.MoveWindow(rect.left,rect.bottom + 2, 400, 185);
	GetWindowRect(&rect1);
	m_Sub.GetWindowRect(&rect2);

	MoveWindow(rect1.left,rect1.top,405,rect2.bottom - rect1.top + 2);
	
	return TRUE;
}
